Bug 75103 - qt 3.0 libraries kde not supported
qt 3.0 libraries kde not supported
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-10-04 11:45 EDT by Eric
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-23 05:21:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric 2002-10-04 11:45:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; MSNIA; Windows 98; MSNIA)

Description of problem:
Menu interface desinged in Qt 3.0 standard compilation which is supported under 
very version of linux so far is no longer compatible with RedHat Linux 8.0 KDE 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. X-Menu interface designed under Qt 3.0. compiled under RedHat 7.3
does not work under RedHat 8.0.
2. Requires serperate compilation under 8.0

Actual Results:  Undefined symbol: _ti9qlistview
Happens when executing a qt 3.0 binary created under RedHat Linux 7.3.

Expected Results:  Backwards compatibility is a must.

Additional info:

Modifications made to the X-Interface (KDE) in the release of RedHat Linux 8.0 
render it non-compatible in the Linux environment.

A complete re-compilation is required to support RedHat Linux 8.0 which means 
shipping a complete serparate distribution of software just for this version of 

Not being compatible of other distributions of Linux is bad enough, but to not 
even be backwards compatible with your own RedHat distribution is outlandish.
Comment 1 Ngo Than 2002-10-07 10:44:05 EDT
it needs qt3 compat library.
Comment 2 Need Real Name 2002-10-08 08:59:12 EDT
Same behaviour exactly is caused by any qt3.0.5 application compiled on RedHat 7.3 that is run on RedHat 
8.0. The undefined symbols I have seen are __ti7QDialog and __ti7QWidget as well.
Comment 3 Trevor Harris 2002-11-10 11:40:25 EST
I upgraded from version to 7.3 to 8.0 only to find that clicking on the 
Control Panel option did not do anything. Executing kontrol-panel gave me 
kontrol-panel: relocation error: kontrol-panel: undefined symbol: __ti7QDialog 
It turns out that I have 2 qt libraries on my system. 
The 2.3.1 does have __ti7QDialog defined 3.0.5 does not. 
I am amazed that Redhats QA did not pick this up before release. 
Is there a workaround for this.
Comment 4 Ngo Than 2002-11-10 14:12:50 EST
a workaround to this problem you have to unpack qt rpm from 7.3 in /usr/lib and use 
LD_LIBRARY_PATH to start old qt/kde program.

for example:
LD_LIBRARY_PATH=/usr/lib/qt-3.0.3:$LD_LIBRARY_PATH kontrol-panel.

Comment 5 Trevor Harris 2002-11-10 18:58:46 EST
Thankyou for your prompt reply.
I tried the fix but I could not get it to work. However
LD_LIBRARY_PATH=/usr/lib kontrol_panel
did after I extracted the 7.3 library but only 4 icons appeared. Unfortunatly
the windows manager icon gave this error when I clicked on it:

/usr/bin/switchdesk-kde: relocation error: /usr/bin/switchdesk-kde: undefined
symbol: _ZTI7QDialog

This command runs fine from the command line with no LD_LIBRARY_PATH.
I was not expecting it to fail as I thought the LD_LIBRARY_PATH enviroment
would not be inherited by child executions.

Comment 6 Ngo Than 2004-09-23 05:21:45 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if it still occurs.

Closing as "CURRENTRELEASE" for now.

Note You need to log in before you can comment on or make changes to this bug.